Loading...
Searching...
No Matches
ata_header Class Reference

`#include <gnuradio/network/packet_headers.h>`

## Public Member Functions

| ata_header ()

## Public Attributes

uint8_t | group
uint8_t | version
uint8_t | bitsPerSample
uint8_t | binaryPoint
uint32_t | order
uint8_t | type
uint8_t | streams
uint8_t | polCode
uint8_t | hdrLen
uint32_t | src
uint32_t | chan
uint32_t | seq
double | freq
double | sampleRate
float | usableFraction
float | reserved
uint64_t | absTime
uint32_t | flags
uint32_t | len

## Constructor & Destructor Documentation

## ata_header()

ata_header::ata_header | ( |  | ) |

inline

References freq, sampleRate, and seq.

## Member Data Documentation

## absTime

uint64_t ata_header::absTime

## binaryPoint

uint8_t ata_header::binaryPoint

## bitsPerSample

uint8_t ata_header::bitsPerSample

## chan

uint32_t ata_header::chan

## flags

uint32_t ata_header::flags

## freq

double ata_header::freq

Referenced by ata_header().

## group

uint8_t ata_header::group

## hdrLen

uint8_t ata_header::hdrLen

## len

uint32_t ata_header::len

## order

uint32_t ata_header::order

## polCode

uint8_t ata_header::polCode

## reserved

float ata_header::reserved

## sampleRate

double ata_header::sampleRate

Referenced by ata_header().

## seq

uint32_t ata_header::seq

Referenced by ata_header().

## src

uint32_t ata_header::src

## streams

uint8_t ata_header::streams

## type

uint8_t ata_header::type

## usableFraction

float ata_header::usableFraction

## version

uint8_t ata_header::version

The documentation for this class was generated from the following file:

- packet_headers.h